<div class="row">
    <div class="col-md-12">
        <button type="button" (click)="generateExcel()" class="btn btn-sm btn-primary mb-3"><i
                class="fa fa-download mr-1"></i>Generate
            Report</button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-header">
        <form class="user filterForm" [formGroup]="filterForm">
            <div class="form-group row">
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="f_erp" class="form-control dropdown" (change)="getFabricInspectionLogs()">
                        <option value="" selected>Select ERP</option>
                        <option *ngFor="let e of erps" value="{{e.erp_id}}">{{e.erp_title}}</option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input formControlName="f_date" type="date" (change)="getFabricInspectionLogs()"
                        class="form-control form-control-user">
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input type="submit" value="Reset" (click)="resetFilters()" class="btn btn-warning btn-block">
                </div>
            </div>
        </form>
    </div>
    <div class="card-body">

        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>ERP</th>
                        <th>Department</th>
                        <th>Line</th>
                        <th>Barcode</th>
                        <th>Received Qty</th>
                        <th>Outward Qty</th>
                        <th>Added by</th>
                        <th>Datetime</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let entries of outwards | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td>{{entries.erp_title}}</td>
                        <td>{{entries.dept_name}}</td>
                        <td>{{entries.line_name}}</td>
                        <td>{{entries.barcode}}</td>
                        <td>{{entries.received_quantity}}</td>
                        <td>{{entries.outward_quantity}}</td>
                        <td>{{entries.added_by}}</td>
                        <td>{{entries.created_on}}</td>
                    </tr>
                    <tr *ngIf="outwards==''">
                        <td colspan="8" class="text-center">No Records Found</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="outwards!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>